Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdDisplay

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdDisplay

    public class cmdDisplay
    extends DatecsFiscalDevice

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdDisplay()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `Clear()` | Clears the external display.
  `boolean` | `SetCodePage1251​(boolean value)` |
  `void` | `SetLowerLineText​(java.lang.String lowerLineText)` | Displaying text on upper line of the external display.
  `boolean` | `SetTransparentMode​(boolean value)` |
  `void` | `SetUpperLineText​(java.lang.String upperLineText)` | Displaying text on second line of the external display.

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdDisplay

    public cmdDisplay()

- ## Method Details

  - ### SetUpperLineText

    public void SetUpperLineText​(java.lang.String upperLineText) throws java.lang.Exception
    Displaying text on second line of the external display.
    Parameters:
      `upperLineText` -
    Throws:
      `java.lang.Exception`

  - ### SetLowerLineText

    public void SetLowerLineText​(java.lang.String lowerLineText) throws java.lang.Exception
    Displaying text on upper line of the external display.
    Parameters:
      `lowerLineText` -
    Throws:
      `java.lang.Exception`

  - ### Clear

    public void Clear() throws java.lang.Exception
    Clears the external display.
    Throws:
      `java.lang.Exception`

  - ### SetTransparentMode

    public boolean SetTransparentMode​(boolean value) throws java.lang.Exception
    Parameters:
      `value` - if true Transparent display mode else set Normal display mode
    Returns:
      true if Success
    Throws:
      `java.lang.Exception`

  - ### SetCodePage1251

    public boolean SetCodePage1251​(boolean value) throws java.lang.Exception
    Parameters:
      `value` - If true Working with a display with code table 1251 else Working with a standard display of DATECS
    Returns:
      true if Success
    Throws:
      `java.lang.Exception`